%define pkg_name        Net-IMAP-Simple-SSL
%define pkg_version     1.3
%define rpm_pkg_version 1.3
%define rpm_pkg_release 2.n0i.2

Summary:       SSL support for Net::IMAP::Simple
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/C/CW/CWEST/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket::SSL)
BuildRequires: perl(Net::IMAP::Simple) >= 0.95
Requires:      perl(Net::IMAP::Simple) >= 0.95


%description
This module is a subclass of Net::IMAP::SImple that includes SSL support.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 1.3-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sun Mar 04 2007 Marius Feraru <altblue@n0i.net> - 1.3-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer v1.14.0
- rebuild on perl 5.8.8
